messages = {
    1: 'memória insuficiente',
    2: 'erro de sintaxe',
    3: 'nenhum elemento encontrado',
    4: 'malformação: símbolo inválido',
    5: 'símbolo não fechado: está faltando ">"',
    6: 'caractere incompleto',
    7: 'tags incompatíveis: tag de fechamento difere da tag de abertura',
    8: 'atributo duplicado',
    9: 'lixo depois do fim do documento: algo além de espaço em branco encontrado depois do elemento raiz.',
    10: 'referência a parâmetro de entidade proibida',
    11: 'entidade não definida',
    12: 'referência de entidade recursiva: uma referência de entidade contém outra referência à mesma entidade',
    13: 'entidade assíncrona',
    14: 'referência a caractere numérico inválido',
    15: 'referência a entidade binária: entidade declarada com uma notação não pode ser interpretada',
    16: 'referência a entidade externa em atributo',
    17: 'declaração XML ou de texto não estão no início da entidade',
    18: 'encoding desconhecido',
    19: 'encoding especificado na declaração XML está incorreto',
    20: 'seção CDATA não fechada',
    21: 'erro no processamento de referência a entidade externa',
    22: 'documento não é do tipo standalone',
    23: 'estado inesperado do parser - envie um relatório de bug',
    24: 'entidade declarada em entidade de parâmetro',
    25: 'funcionalidade solicitada requer suporte a XML_DTD no Expat',
    26: 'não é possível mudar a configuração após inicialização do parser',
    27: 'prefixo não declarado encontrado',
    28: 'proibido desfazer declaração de prefixo',
    29: 'marcação incompleta em entidade de parâmetro',
    30: 'declaração XML malformada',
    31: 'declaração de texto malformada',
    32: 'caractere ilegal em id público',
    33: 'parser suspenso',
    34: 'parser não suspenso',
    35: 'parsing interrompido',
    36: 'parsing finalizado',
    37: 'não é possível suspender em entidade de parâmetro externa'
}
